Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 462080 - =dev-db/mariadb-5.5.30[jemalloc] does not respect LDFLAGS
Summary: =dev-db/mariadb-5.5.30[jemalloc] does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal QA (vote)
Assignee: Gentoo Linux MySQL bugs team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2013-03-17 17:12 UTC by Agostino Sarubbo
Modified: 2013-09-23 11:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (mariadb-5.5.30:20130317-170540.log.bz2,56.25 KB, text/bzip2)
2013-03-17 17:12 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-03-17 17:12:01 UTC
Normally we should have:

Executable       -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu
Module           -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu
Shared           -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu



but with jemallc enabled we have:

Executable      -ljemalloc
Module           -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu
Shared           -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu


 * QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/sbin/mysqld
 * /usr/bin/my_print_defaults
 * /usr/bin/mysqltest
 * /usr/bin/mysqldump
 * /usr/bin/mysqlbinlog
 * /usr/bin/resolveip
 * /usr/bin/mysqlimport
 * /usr/bin/replace
 * /usr/bin/aria_ftdump
 * /usr/bin/mysql_tzinfo_to_sql
 * /usr/bin/mysql_waitpid
 * /usr/bin/mysqlcheck
 * /usr/bin/aria_chk
 * /usr/bin/myisampack
 * /usr/bin/mysqlslap
 * /usr/bin/mysql
 * /usr/bin/mysqladmin
 * /usr/bin/aria_dump_log
 * /usr/bin/resolve_stack_dump
 * /usr/bin/mysql_upgrade
 * /usr/bin/innochecksum
 * /usr/bin/perror
 * /usr/bin/aria_pack
 * /usr/bin/myisam_ftdump
 * /usr/bin/mysql_client_test
 * /usr/bin/aria_read_log
 * /usr/bin/mysqlshow
 * /usr/bin/myisamchk
 * /usr/bin/myisamlog
 * /usr/bin/mysql_plugin
Comment 1 Agostino Sarubbo gentoo-dev 2013-03-17 17:12:28 UTC
Created attachment 342408 [details]
build log
Comment 2 Brian Evans Gentoo Infrastructure gentoo-dev 2013-07-18 16:07:07 UTC
A fix was committed to the mysql overlay.

If anyone would like to test it, please feel free.
Comment 3 Andreas Sturmlechner gentoo-dev 2013-09-21 10:48:13 UTC
Fix seems to be OK, Executable flags are now as expected and at the same time it fixed a related early build error.
Comment 4 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2013-09-23 11:11:26 UTC
Closing as fixed per last comment.